Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.schema
Class StscTranslator

    java.lang.Object
      org.apache.xmlbeans.impl.schema.StscTranslator

    public class StscTranslator

extends java.lang.Object

Field Summary
`static RegularExpression` | `XPATH_REGEXP`

Constructor Summary
`StscTranslator()`

Method Summary
`static void` | `addAllDefinitions(StscImporter.SchemaToProcess[] schemasAndChameleons)`
`static void` | `copyGlobalAttributeToLocalAttribute(SchemaGlobalAttributeImpl referenced, SchemaLocalAttributeImpl target)`
`static void` | `copyGlobalElementToLocalElement(SchemaGlobalElement referenced, SchemaLocalElementImpl target)`
`static SchemaAttributeGroupImpl` | `translateAttributeGroup(org.apache.xmlbeans.impl.xb.xsdschema.AttributeGroup attrGroup, java.lang.String targetNamespace, boolean chameleon, boolean redefinition)`
`static SchemaLocalElementImpl` | `translateElement(org.apache.xmlbeans.impl.xb.xsdschema.Element xsdElt, java.lang.String targetNamespace, boolean chameleon, java.lang.String elemFormDefault, java.lang.String attFormDefault, java.util.List anonymousTypes, SchemaType outerType)` Translates a local or global schema element.
`static SchemaModelGroupImpl` | `translateModelGroup(org.apache.xmlbeans.impl.xb.xsdschema.NamedGroup namedGroup, java.lang.String targetNamespace, boolean chameleon, boolean redefinition)`
`static boolean` | `uriMatch(java.lang.String s1, java.lang.String s2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XPATH_REGEXP

    public static final RegularExpression XPATH_REGEXP

Constructor Detail

### StscTranslator

    public StscTranslator()

Method Detail

### addAllDefinitions

    public static void addAllDefinitions(StscImporter.SchemaToProcess[] schemasAndChameleons)

### uriMatch

    public static boolean uriMatch(java.lang.String s1,
                                   java.lang.String s2)

### copyGlobalElementToLocalElement

    public static void copyGlobalElementToLocalElement(SchemaGlobalElement referenced,
                                                       SchemaLocalElementImpl target)

### copyGlobalAttributeToLocalAttribute

    public static void copyGlobalAttributeToLocalAttribute(SchemaGlobalAttributeImpl referenced,
                                                           SchemaLocalAttributeImpl target)

### translateElement

    public static SchemaLocalElementImpl translateElement(org.apache.xmlbeans.impl.xb.xsdschema.Element xsdElt,
                                                          java.lang.String targetNamespace,
                                                          boolean chameleon,
                                                          java.lang.String elemFormDefault,
                                                          java.lang.String attFormDefault,
                                                          java.util.List anonymousTypes,
                                                          SchemaType outerType)

  Translates a local or global schema element.

### translateModelGroup

    public static SchemaModelGroupImpl translateModelGroup(org.apache.xmlbeans.impl.xb.xsdschema.NamedGroup namedGroup,
                                                           java.lang.String targetNamespace,
                                                           boolean chameleon,
                                                           boolean redefinition)

### translateAttributeGroup

    public static SchemaAttributeGroupImpl translateAttributeGroup(org.apache.xmlbeans.impl.xb.xsdschema.AttributeGroup attrGroup,
                                                                   java.lang.String targetNamespace,
                                                                   boolean chameleon,
                                                                   boolean redefinition)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD